
/******************************************************************************
* MODULE     : compound_types.cc
* DESCRIPTION: Compound types for the Mathemagix interpreter
* COPYRIGHT  : (C) 2000  Joris van der Hoeven
*******************************************************************************
* This software falls under the GNU general public license and comes WITHOUT
* ANY WARRANTY WHATSOEVER. See the file $TEXMACS_PATH/LICENSE for more details.
* If you don't have this file, write to the Free Software Foundation, Inc.,
* 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
******************************************************************************/

#include <extern.hh>
#include <single.hh>
#include <printer.hh>
namespace mmx {

/******************************************************************************
* Alias class constructor
******************************************************************************/

generic
class_alias (generic g) {
  return list (ID_ALIAS, g[1]);
}

/******************************************************************************
* Interface
******************************************************************************/

void
initialize_compound_types () {
  generic ID_CLASS_CLASS= function_type (ID_CLASS, ID_CLASS);

  declare (MMX_ALIAS, class_alias, ID_CLASS_CLASS);
}

} // namespace mmx
